<?php

/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

$introtext = $this->params->get('introtext','');
$headertext = $this->params->get('headertext','');
$usecart = 1;
$usepaging = (int)$this->params->get('usepaging','1');
$numcolumns = (int)$this->params->get('numcolumns','2');
if (!$numcolumns) $numcolumns = 2;
$showfilter = (int)$this->params->get('showfilter','1');
$showcatfilter = (int)$this->params->get('showcatfilter','1');
$showisec = (int) $this->params->get('showisec','1');
$showicat = (int) $this->params->get('showicat','1');	
$showorderbutton = (int)$this->params->get('showorderbutton','1');
$showprices = (int) $this->params->get('showprices','1');


if ($headertext) { ?>
	<table class="contentpaneopen"><tr><td class="contentheading" width="100%"><?php echo $headertext;?></td></tr></table>
<?php if (!$introtext) echo '<br/>';
}
if ($introtext) { ?>
	<table class="contentpaneopen"><tr><td valign="top"><?php echo $introtext;?></td></tr></table>
	<br/><?php 
} ?>


<form action="" name="calc_form" id="calc_form" method="post" onsubmit="return validate(this);">

<?php if (count($this->items) ) : ?>
<?php if ($showfilter) : ?>
<div class="ipricefilter">
	<label for="ifilter"><?php echo JText::_('Filter');?></label>
	<input type="text" maxlength="20" title="<?php echo JText::_('Filter');?>"  name="ifilter" id="ifilter" value ="<?php echo $this->filter;?>" />
	<input type="button" class="button" name="btfilter" value="<?php echo JText::_('Set filter');?>" onclick="javascript:this.form.actype.value='filter'; this.form.submit();" />
	<input type="button" class="button" name="btunfilter" value="<?php echo JText::_('Clear filter');?>" onclick="javascript:this.form.actype.value='filter';this.form.ifilter.value=''; this.form.submit();" />
</div>
<?php endif; ?>
<?php if ($showcatfilter) : ?>
<div class="ipricefilter_cat">
	<label for="secid"><?php echo JText::_('Section');?></label>
	<?php echo $this->lists['secid']; ?>
	<label for="catid"><?php echo JText::_('Category');?></label>
	<?php echo $this->lists['catid']; ?>
</div>
<?php endif; ?>
<?php endif; ?>

<?php
	$usecents = (int) $this->params->get('usecents','');
	$usecart = (int) $this->params->get('usecart','1');
	$countdig = ($usecents == 1 ? "2" : "0" );
	
	$sym = trim($this->curr->symbol);
	if ($this->curr->symplace) {
	  $currmask = $sym.($this->curr->usespace == 1 ? " " : "" ).($usecents == 1 ? "%01.2f" : "%d" );
	  $currmaskjs = "'".$sym."'+".($this->curr->usespace == 1 ? "' '+" : "" )."%s";
	}
	else {
	  $currmask = ($usecents == 1 ? "%01.2f" : "%d" ).($this->curr->usespace == 1 ? " " : "" ).$sym;
	  $currmaskjs = "%s".($this->curr->usespace == 1 ? "+' '" : "" )."+'".$sym."'";
	}
	
	
if (count($this->items)) : 

	$doc =& JFactory::getDocument();
	$doc->addStyleSheet( "components/com_ipricecalc/css/catalogue/default.css" );
	if (JRequest::getInt('isecid','0'))
	   $doc->setTitle($doc->getTitle().' - '.$this->items[0]->section);
	if (JRequest::getInt('icatid','0'))
	   $doc->setTitle($doc->getTitle().' - '.$this->items[0]->category);

?>

<table class="catmaintable">
<tr>
<?php
	$i = -1;
	$curcatnum = -1;
	$curcat = '';
	$columns = 0;
	$itemwidth = round(100/$numcolumns);
	
	foreach ($this->items as $item) :
		$i++;
		if ($item->item_type==1) continue;
		$columns++;
		if ($columns>$numcolumns) {
			echo '</tr><tr valign="top">';
			$columns = 1;
		}
		if (!$usecart)
			$item->count=0;
			
	?>
		<td width="<?php echo $itemwidth;?>%" >
		<?php if ($showprices) { ?>							
			<div class="catcartblock">
			<?php if ($item->discname) : ?>
				<div class="catprice_disc">
			<?php else : ?>
				<div class="catprice">
			<?php endif; ?>
			<?php if ($item->discname) : ?>
			<span title="<?php echo $item->discname ?>">
			<?php else : ?>			
			<span>
			<?php endif; ?>			
			<?php echo sprintf($currmask,$item->cost);?>
			</span>
			</div>
		<?php } ?>			
			<div class="catcart">
			<input type="text" maxlength="5" <?php  if ($item->showcount==1) echo 'style="width: 15px; text-align: right" value="'.(int)$item->count.'"';
										else echo 'style="visibility: hidden; position: absolute"  value="0"';	?> 
			id="i_<?php echo ($i);?>" name="i_<?php echo ($i);?>" />
			
		
				<input type="radio" <?php if ($item->showcount!=2) echo ' style="visibility: hidden; position: absolute;"'; else { if ($item->count) echo ' CHECKED '; }?> 
				id="i_radio_<?php echo ($i);?>" name="i_radio_<?php echo ($item->radiogroup);?>" value="<?php echo ($item->id);?>" />
				
				<input type="checkbox" <?php if ($item->showcount!=0) echo ' style="visibility: hidden; position: absolute;"'; else {if ($item->count) echo ' CHECKED ';}?> 
				id="i_box_<?php echo ($i);?>" name="i_box_<?php echo ($i);?>" />
				
			
			<input type="hidden" name="itemid_<?php echo ($i);?>" value="<?php echo $item->id?>" />
			<input type="hidden" name="type_<?php echo ($i);?>" value="<?php echo $item->showcount?>" />
			
			<?php
				if ($item->showcount == 0)
			 		$add = 'this.form.i_box_'.$i.'.checked=true;';
				elseif ($item->showcount == 2)
					$add = "document.getElementById('i_radio_".$i."').checked=true;";
				elseif ($item->showcount == 1)
			 		$add = 'if (this.form.i_'.$i.'.value==0) this.form.i_'.$i.'.value=1;';
				else 
					$add = '';
			?>
			
			<input type="button" class="button"  name="bt3" value="<?php echo JText::_('To Cart');?>" onclick="javascript:this.form.actype.value='basket'; <?php echo $add ?> this.form.submit();" />
			</div>
			</div>
			
		
		<h3 class="catitemname"><?php echo $item->name;?></h3>
		<?php if ($showisec || $showicat) : 
				if ($showisec) {
				   $txt = $item->section;
				   if ($showicat)
				   	$txt .= ' - '. $item->category;
				} else if ($showicat)
						$txt = $item->category;
	 				else $txt = '';
		?>
			<div class="catsectioncategory"><?php echo $txt ?></div>
		<?php endif  ?>
		<div class="catdescription"><?php echo $item->description?></div>
		
		</td>

<?php endforeach; ?>

</tr></table>	

<?php endif; //global endif countitems>0?>

<input type="hidden" name="countitems" value="<?php echo count($this->items)?>" />
<input type="hidden" name="curr" value="<?php echo $this->curr->currcode?>" />
<input type="hidden" name="option" value="com_ipricecalc" />
<input type="hidden" name="redir" value="<?php $uri = JFactory::getURI(); echo urlencode($uri->toString());?>" />
<input type="hidden" name="actype" id="actype" value="paging" />
<?php echo JHTML::_( 'form.token' ); ?>

<?php if (!count($this->items) ) {
	echo '<strong>'.JText::_('No items').'</strong>';
	
} ?>

<?php if (count($this->items) ) : ?>

<br/>
<table width="100%"><tr>
<td align="center">
<?php if ($showorderbutton) : ?>
	<?php if ($usecart) : ?>
		<input type="button" class="button"  name="bt1" value="<?php echo JText::_('make order');?>" onclick="javascript:this.form.actype.value='makeorder'; this.form.submit();" />
	<?php else : ?>
		<input type="button" class="button" onclick="javascript:if (document.getElementById('order_dat').style.display=='none') document.getElementById('order_dat').style.display=''; else document.getElementById('order_dat').style.display='none'" value="<?php echo JText::_('Make order');?>" />
	<?php endif; ?>
<?php endif; ?>
</td></tr></table>
<br/>
<?php if (!$usecart) : ?>

<div style="display: none;" id="order_dat" name="order_dat">
<?php require_once( JPATH_SITE.DS.'components'.DS.'com_ipricecalc'.DS.'templates'.DS.'orderinfo.php');  ?>
</div>

<?php endif; ?>

<?php endif; ?>


<input type="hidden" name="view" value="price" />
<input type="hidden" name="task" value="submit" />
<input type="hidden" name="usecart" value="<?php echo $usecart ?>" />
<input type="hidden" name="filter" value="" />
<?php if ($this->itemid) : ?>
	<input type="hidden" name="itemid" value="<?php echo $this->itemid?>" />
<?php endif;

if ($usepaging) : ?>

  <table width="100%">
    <tr>
      <td valign="top" align="center"><?php echo $this->pagination->getPagesLinks();?></td>
    </tr>
	<?php if ((int)$this->params->get('showpagenum','1')) : ?>
	<tr>
		<td valign="top" align="center">
			<?php echo $this->pagination->getPagesCounter(); ?>
		</td>
	</tr>
	<?php endif; ?>
	
  </table>
  
<?php endif; ?>

</form>