<?php
/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class IPricecalcViewDiscount
{
	function setItemsToolbar()
	{
		JToolBarHelper::title( JText::_( 'IPrice discount Manager' ), 'generic.png' );
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::deleteList();
		JToolBarHelper::editListX();
		JToolBarHelper::addNewX();
		JToolBarHelper::preferences('com_ipricecalc', '500');
		JToolBarHelper::help( 'screen.ipricecalc' );
	}

	function discounts( &$rows, &$pageNav, &$lists )
	{
		IPricecalcViewDiscount::setItemsToolbar();
		
		$user =& JFactory::getUser();

		//Ordering allowed ?
		$ordering = ($lists['order'] == 'ipc.ordering');

		JHTML::_('behavior.tooltip');
		?>
		<form action="index.php?option=com_ipricecalc&c=discount" method="post" name="adminForm">

		<table>
		<tr>
			<td align="left" width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo $lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
			<td nowrap="nowrap">
				<?php
				echo $lists['state'];
				?>
			</td>
		</tr>
		</table>

			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'Num' ); ?>
					</th>
					<th width="10" class="title">
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th class="title">
						<?php echo JHTML::_('grid.sort',  'Name', 'name', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th width="1%" class="title" nowrap="nowrap">
						<?php echo JHTML::_('grid.sort',   'Published', 'published', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th class="title">
						<?php echo JHTML::_('grid.sort',  'Type', 'type', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th class="title">
						<?php echo JHTML::_('grid.sort',  'Kind', 'kind', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th width="1%" nowrap="nowrap">
						<?php echo JHTML::_('grid.sort',   'ID', 'id', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="11">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link 		= JRoute::_( 'index.php?option=com_ipricecalc&c=discount&task=edit&cid[]='. $row->id );

				$checked 	= JHTML::_('grid.checkedout',   $row, $i );
				$published 	= JHTML::_('grid.published', $row, $i );

				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<?php
					if (JTable::isCheckedOut($user->get ('id'), $row->checked_out )) :
						echo $row->name;
					else :
						?>
						<span class="editlinktip hasTip" title="<?php echo JText::_( 'Edit discount' );?>::<?php echo $row->name; ?>">
						<a href="<?php echo $link; ?>">
							<?php echo $row->name; ?></a> </span>
						<?php
					endif;
					?>
					</td>
					<td align="center">
						<?php echo $published;?>
					</td>
					<td align="center">
						<?php if ($row->type == 0) echo JText::_("By quantity"); else echo JText::_("By amount");?>
					</td>
					<td align="center">
						<?php if ($row->kind == 0) echo JText::_("percent"); else echo JText::_("amount");?>
					</td>
					<td align="center">
						<?php echo $row->id; ?>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>
		<input type="hidden" name="c" value="discount" />
		<input type="hidden" name="option" value="com_ipricecalc" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
		<?php
		
	}

	function setItemToolbar()
	{
		$task = JRequest::getVar( 'task', '', 'method', 'string');

		JToolBarHelper::title( $task == 'add' ? JText::_( 'IPrice discount item' ) . ': <small><small>[ '. JText::_( 'New' ) .' ]</small></small>' : JText::_( 'IPrice discount item' ) . ': <small><small>[ '. JText::_( 'Edit' ) .' ]</small></small>', 'generic.png' );
		JToolBarHelper::save( 'save' );
		JToolBarHelper::apply('apply');
		JToolBarHelper::cancel( 'cancel' );
		JToolBarHelper::help( 'screen.items.edit' );
	}

	function discount( &$row, &$lists)
	{
		IPricecalcViewDiscount::setItemToolbar();
		JRequest::setVar( 'hidemainmenu', 1 );

		JHTML::_('behavior.tooltip');
		jimport('joomla.html.pane');
        // TODO: allowAllClose should default true in J!1.6, so remove the array when it does.

		$pane = &JPane::getInstance('sliders', array('allowAllClose' => true));
		
		$cparams = JComponentHelper::getParams ('com_media');
		if ($row->kind==0) {
			if ($row->disc1 !==NULL)
				$row->disc1 = (int)$row->disc1;
			if ($row->disc2 !==NULL)
				$row->disc2 = (int)$row->disc2;
			if ($row->disc3 !==NULL)
				$row->disc3 = (int)$row->disc3;
			if ($row->disc4 !==NULL)
				$row->disc4 = (int)$row->disc4;
			if ($row->disc5 !==NULL)
				$row->disc5 = (int)$row->disc5;
		}
		if ($row->type==0) {
			if ($row->value1 !==NULL)
				$row->value1 = (int)$row->value1;
			if ($row->value2 !==NULL)
				$row->value2 = (int)$row->value2;
			if ($row->value3 !==NULL)
				$row->value3 = (int)$row->value3;
			if ($row->value4 !==NULL)
				$row->value4 = (int)$row->value4;
			if ($row->value5 !==NULL)
				$row->value5 = (int)$row->value5;									
		}
		
		?>
		<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.name.value == "" ) {
				alert( "<?php echo JText::_( 'You must provide a name.', true ); ?>" );
			} else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>

		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Name' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="name" id="name" size="60" maxlength="255" value="<?php echo $row->name; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<?php echo JText::_( 'Published' ); ?>:
					</td>
					<td>
						<?php echo $lists['published']; ?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="kind">
							<?php echo JText::_( 'Kind' ); ?>:
						</label>
					</td>
					<td>
						<?php echo $lists['kind'];?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="type">
							<?php echo JText::_( 'Type' ); ?>:
						</label>
					</td>
					<td>
						<?php echo $lists['type'];?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="value1">
							<?php echo JText::_( 'Value' ); ?>:
						</label>
						<input class="inputbox" type="text" name="value1" id="value1" size="6" maxlength="12" value="<?php echo $row->value1; ?>" />
					</td>
					<td>
						<label for="disc1">
							<?php echo JText::_( 'disc' ).' 1'; ?>:
						</label>
						<input class="inputbox" type="text" name="disc1" id="disc1" size="12" maxlength="12" value="<?php echo $row->disc1; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="value2">
							<?php echo JText::_( 'Value' ); ?>:
						</label>
						<input class="inputbox" type="text" name="value2" id="value2" size="6" maxlength="12" value="<?php echo $row->value2; ?>" />
					</td>
					<td>
						<label for="disc2">
							<?php echo JText::_( 'disc' ).' 2'; ?>:
						</label>
						<input class="inputbox" type="text" name="disc2" id="disc2" size="12" maxlength="12" value="<?php echo $row->disc2; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="value3">
							<?php echo JText::_( 'Value' ); ?>:
						</label>
						<input class="inputbox" type="text" name="value3" id="value3" size="6" maxlength="12" value="<?php echo $row->value3; ?>" />
					</td>
					<td>
						<label for="disc3">
							<?php echo JText::_( 'disc' ).' 3'; ?>:
						</label>
						<input class="inputbox" type="text" name="disc3" id="disc3" size="12" maxlength="12" value="<?php echo $row->disc3; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="value4">
							<?php echo JText::_( 'Value' ); ?>:
						</label>
						<input class="inputbox" type="text" name="value4" id="value4" size="6" maxlength="12" value="<?php echo $row->value4; ?>" />
					</td>
					<td>
						<label for="disc4">
							<?php echo JText::_( 'disc' ).' 4'; ?>:
						</label>
						<input class="inputbox" type="text" name="disc4" id="disc4" size="12" maxlength="12" value="<?php echo $row->disc4; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="value5">
							<?php echo JText::_( 'Value' ); ?>:
						</label>
						<input class="inputbox" type="text" name="value5" id="value5" size="6" maxlength="12" value="<?php echo $row->value5; ?>" />
					</td>
					<td>
						<label for="disc5">
							<?php echo JText::_( 'disc' ).' 5'; ?>:
						</label>
						<input class="inputbox" type="text" name="disc5" id="disc5" size="12" maxlength="12" value="<?php echo $row->disc5; ?>" />
					</td>
				</tr>
				<?php
				if ($row->id) {
					?>
					<tr>
						<td class="key">
							<label>
								<?php echo JText::_( 'ID' ); ?>:
							</label>
						</td>
						<td>
							<strong><?php echo $row->id;?></strong>
						</td>
					</tr>
					<?php
				}
				?>
				</table>
			</fieldset>

			
		</div>

		<div class="clr"></div>
		<input type="hidden" name="c" value="discount" />
		<input type="hidden" name="option" value="com_ipricecalc" />
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="task" value="" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
		<?php
	}
}
?>