<?php

/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
jimport('joomla.application.component.model');
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables'.DS.'ipricecalc.php');

class IPriceCalcModelPrice extends JModel
{
	var $_total = null;
	var $_pagination = null;

  function __construct()
  {
        parent::__construct();
 
        global $mainframe, $option;
 
        // Get pagination request variables
		$pparams = $mainframe->getPageParameters('com_ipricecalc');
		/*
		if ((int)$pparams->get('usepaging','1')) {
		        $limit = $mainframe->getUserStateFromRequest('com_ipricecalc.list.limit', 'limit', $pparams->get('numperpage', 20), 'int');
			//echo $pparams->get('numperpage','-1');
		        $limitstart = JRequest::getVar('limitstart', 0, '', 'int');
		} else {
			$limit = 0;
			$limitstart = 0;
		}
		*/
        // In case limit has been changed, adjust it
  }


	function getCategories( $options=array(), $secids = "", $catids = "", $filter = null, $limit = 0, $limitstart = 0, $pwh = "" )
	{
		$table =& JTable::getInstance('Iprice_item', 'JTable');
		$wh = $pwh;
		if ($filter) {
			$filter = mb_substr($filter,0,20,'UTF-8');
	//		$this->setState('limitstart',0);
			if ($wh) $wh = $wh . ' and ';
			$wh = $wh .  ' (ipi.name like "%'.$filter.'%" or ipi.shortdesc like "%'.$filter.'%" or ipi.description like "%'.$filter.'%") ';
		}
		$table->SetQuery('PP',$secids,$catids,'','','',$wh); 
		
		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);

		$this->_total = $table->GetCount();
		return $table->GetList($this->getState('limitstart'), $this->getState('limit') );
	}
	
	function getCategoriesCount( &$options, $catids )
	{
		$wh = '';
		if ($catids)
			$wh= ' and id in ('.$catids.')';
		$query = 'SELECT * FROM #__iprice_categories '. ($wh ? ' where '.$wh  : '');
		//echo $query;
		return $this->_getListCount( $query );
	}
	
	function getTotal()
	  {
        // Load the content if it doesn't already exist
        if ($this->_total === null) {
            $this->_total = $this->getItemsCount(); 
        }
        return $this->_total;
	  }
	  
  function getPagination()
  {
        // Load the content if it doesn't already exist
        if (empty($this->_pagination)) {
            jimport('joomla.html.pagination');
            $this->_pagination = new JPagination($this->getTotal(), $this->getState('limitstart'), $this->getState('limit') );
        }
        return $this->_pagination;
  }

	function getItemsCount()
	{
		$table =& JTable::getInstance('Iprice_item', 'JTable');
		$table->SetQuery('PP'); 
		return $table->GetCount();
	}	
}