<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables'.DS.'ipricecalc.php');

	function getOrderFiles ($orderno) {
		return JTableIprice_order::getOrderFiles ($orderno); 
	}

	function getOrderHTML ($orderno) {
		$table =& JTable::getInstance('Iprice_order', 'JTable');
		$order = $table->getOrder($orderno);
		$items = $table->getOrderItems($orderno);
		$showorderdesc = 1;
		
		if (!$order)
			return '';
			
		$usecents = (int) $order->usecents;
 		$showprices = (int) $order->showprices;
		$showorderdesc = (int) $order->showorderdesc;
		
		$curr =& JTable::getInstance('Iprice_curr', 'JTable');
		$curr->load($order->currcode);
		
		$sym = trim($curr->symbol);
		if ($curr->symplace) {
		  $currmask = $sym.($curr->usespace == 1 ? " " : "" ).($usecents == 1 ? "%01.2f" : "%d" );
		  $currmaskjs = "'".$sym."'+".($curr->usespace == 1 ? "' '+" : "" )."%s";
		}
		else {
		  $currmask = ($usecents == 1 ? "%01.2f" : "%d" ).($curr->usespace == 1 ? " " : "" ).$sym;
		  $currmaskjs = "%s".($curr->usespace == 1 ? "+' '" : "" )."+'".$sym."'";
		}
		
		$file_array = file( JPATH_SITE.DS."components".DS."com_ipricecalc".DS."css".DS."order".DS."default.css" );
		$file_array = implode( "\n", $file_array );

		$html = '<style type="text/css">';
		$html .= $file_array;
		$html .= '</style>';
			
		$html .= '<h1 class="ipriceorder">'.JText::_('Order num').' '.$orderno.'</h1>';
		$html .= '<h3 class="ipriceorder">'.JText::_('Order date').' '.JHTML::_('date',  $order->orderdate, JText::_('DATE_FORMAT_LC4') ).'</h3>';
		if ($order->firm)
			$html .= '<h3 class="ipriceorder">'.JText::_('Order company').' '.$order->firm.'</h3>';
		$html .= '<h3 class="ipriceorder">'.JText::_('Order person').' '.$order->fio.'</h3>';
		$html .= '<h3 class="ipriceorder">'.JText::_('Order e-mail').' '.$order->email.'</h3>';		
		$html .= '<h3 class="ipriceorder">'.JText::_('Order phone').' '.$order->phone.'</h3>';
		$html .= '<p>'.JText::_('Order comments').' '.$order->comments.'</p><br>';

		$html .= '<table width="100%" border="0" align="center" cellpadding="3" cellspacing="0" valign="top">';
		
		$i = -1;
		$curcatnum = -1;
		$cursecnum = -1;
		$itemnum = -1;
		$headerHTML =	'<tr class="tablzag3"><td colspan="2" class="tablzag3"><strong>'.JText::_('Price items').'</strong></td>'.
						'<td align="center" class="tablzag3"><strong>'.JText::_('Items count').'</strong></td>'.
		 				'<td align="center" class="tablzag3"><strong>'.JText::_('Unit header').'</strong></td>'.
					 	'<td align="center" width="1%" class="tablzag3" title="'.JText::_('Discount').'"><strong>'.($showprices ? JText::_('Discount') : '' ).'</strong></td>'.
						'<td align="center" class="tablzag3"><strong>'.JText::_('Price/Unit').'</strong></td>'.
						'<td align="center" class="tablzag3"><strong>'.JText::_('Total').'</strong></td></tr>';
		
		$secsum = 0.00;		
		$catsum = 0.00;
		$globalsum = 0.00;
		$curcatid = -1;
		$cursecid = -1;
		$curcat = "-1";
		
	
		foreach ($items as $item) {
			$i++;
			$itemnum++;
			$itemtotalamount = $item->amount*$item->countitems;
		    if ($curcatid != $item->catid) {
				$curcatnum++;
				$itemnum = 0;
		   	
				if ($curcatnum>0 && $showprices) { 
					$html .= '<tr><td colspan="5" align="right" valign="middle" class="tablitogo" >'.JText::_('Subtotals').' "'.$curcat.'" : </td>'.
						'<td colspan="2" align="right" valign="middle" class="tablitogo" >'.sprintf($currmask,$catsum).'</td></tr>'.
						'<tr><td colspan="7" align="right" class="tabldelim" ></td></tr>';
					$globalsum += $catsum;
					$catsum = 0; 
				}
				$curcatid = $item->catid;
				$curcat = $item->category;
				
				if ($cursecid != $item->secid) {
					$cursecnum++;
					$itemnum = 0;
					$cursecid = $item->secid;
					$html .= '<tr><td colspan="7" class="tablzagsection" >'.$item->section.'</td></tr>';
				};
				
				$html .= '<tr><td colspan="7" class="tablzag2" >'.$item->category.'</td></tr>';
				$html .= $headerHTML;
			}
			$catsum += $item->amount*$item->countitems;
				
			$html .= '<tr valign="middle" class="tablchet"><td class="ipricename">'.$item->name.'</td>'.
				'<td class="ipriceshort">'.$item->shortdesc.'</td>'.
		  		'<td class="ipricecount">'.$item->countitems.'</td>'.
				'<td class="ipriceunit">'.$item->unit.'</td>'.
				'<td class="ipricedisc">'.$item->discdispl.'</td>'.
				'<td class="ipricecost">'. ($showprices ? sprintf($currmask,$item->amount) : '').'</td>'.
				'<td class="ipriceamount">'. ($showprices ? sprintf($currmask,$item->amount*$item->countitems) : '').'</td></tr>';
			if ($item->filename) {
				$apos = strrpos($item->filename,"\\");
				$bpos = strrpos($item->filename,"/");
				if ($apos > $bpos) $bpos = $apos;
				$fname = substr($item->filename,$bpos+1,strlen($item->filename));
				$html .= '<tr><td colspan="7" class="ipriceattach">'.JText::_("Attached file:") . " <span class=\"attached_file\">" . $fname . '</span></td></tr>';
			}
			if ($showorderdesc)
				$html .=  '<tr><td colspan="7" align="left"><span class="small">'.$item->description.'</span></td></tr>';

		} //endforeach;
		if ($curcatnum>-1 && $showprices) {
			$globalsum += $catsum;
			$html .= '<tr><td colspan="5" align="right" valign="middle" class="tablitogo" >'.JText::_('Subtotals').' "'.$curcat.'" : </td>'.
				'<td colspan="2" align="right" valign="middle" class="tablitogo" >'.sprintf($currmask,$catsum).'</td></tr>';
		}
		if ($showprices)
		$html .= '<tr><td colspan="7" align="right" class="tabldelim" ></td></tr><tr>'.
			'<td colspan="5" align="right" valign="middle" class="tablitogo">'.JText::_('Totals').'</td><td colspan="2" align="right" valign="middle" class="tablitogo"><span class="textwarn" id="results_bottom">'.sprintf($currmask,$globalsum).'</span></td></tr></table>';
		
		if ((int)$order->taxamount && $order->salestax)
			$html .= '<br><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">'.
				'<tr><td colspan="2" class="tablzag2" >'.JText::_("Tax").'</td><tr>'.
				'<tr><td colspan="2" align="right" class="tabldelim"></td></tr>'.
 				'<tr><td align="right" class="tablitogo">' . JText::_('Sales tax') . " " . $order->salestax . "% :" . '</td>'.
				'<td class="ipricetaxtotal">'.sprintf($currmask,$order->taxamount).'</td></tr>'.
				'<tr><td colspan="2" align="right" class="tabldelim"></td></tr>'.
				'<tr> <td align="right" class="tablitogo">'.JText::_('Grand total'). " :".'</td>'.
				'<td align="right" class="ipricetaxtotal"><span class="textwarn">'.sprintf($currmask,$order->totalamount+$order->taxamount).'</span></td>'.
				'</tr></table>';
		
		return $html;
	}
	
	function getOrderHTMLPage ($orderno) {
		$html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"><html><head><title>Order</title>'.
				'<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head><body>';
		$html .= getOrderHTML ($orderno);
		$html .= '</body></html>';
		return $html;		
	}
	
	function sendMailTo ($mail_to, $mail_from, $sendername, $subject, & $body, & $files)
	{
			jimport('joomla.mail.helper');
			$mail = JFactory::getMailer();
			$mail->addRecipient( $mail_to );
			$mail->setSender( array( $mail_from, $sendername ) );
			$mail->setSubject( $subject );
			$mail->IsHTML(true);
			$mail->Body = $body;
			if (count($files)) {
				$mail->addAttachment($files);
			}
			$sent = $mail->Send();
			return $sent;
	}	
	
?>