<?php
/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );



class JTableIprice_discount extends JTable
{
	var $id			= null;
	var $name 		= null;	
	var $type 		= 0;
	var $kind 		= 0;
	var $value1 	= null;
	var $disc1 		= null;
	var $value2 	= null;
	var $disc2 		= null;
	var $value3 	= null;
	var $disc3 		= null;
	var $value4 	= null;
	var $disc4 		= null;
	var $value5 	= null;
	var $disc5 		= null;
	
	var $checked_out 		= 0;
	var $checked_out_time 	= 0;
	
	var $published 				= 1;	
	
	
	var $_query = "";
	var $_querycount = "";
	var $_where	= "";
	var $_orderby	= "";
	var $_disc_data	= NULL;
	
	function __construct(&$db)
	{
		parent::__construct( '#__iprice_discount', 'id', $db );
	}

	function check()
	{
		if ($this->disc1)
			$new[$this->disc1] = (real)$this->value1;
			echo $new[$this->disc1];
		if ($this->disc2)
			$new[$this->disc2] = (real)$this->value2;
			echo $new[$this->disc2];			
		if ($this->disc3)
			$new[$this->disc3] = (real)$this->value3;
			echo $new[$this->disc3];			
		if ($this->disc4)
			$new[$this->disc4] = (real)$this->value4;
		if ($this->disc5)
			$new[$this->disc5] = (real)$this->value5;
		if (isset($new)) {
			arsort($new);
			$this->disc5=null; $this->value5=null;
			$this->disc4=null; $this->value4=null;
			$this->disc3=null; $this->value3=null;
			$this->disc2=null; $this->value2=null;
			$this->disc1=null; $this->value1=null;
			$i=0;
			foreach ($new as $k => $v) {
				$i++;
				$name_disc = 'disc'.$i; 
				$name_value = 'value'.$i; 
				$this->$name_disc = $k; $this->$name_value = $v;
			}
		}
		return true;
	}
	
	function SetQuery($filter_state = "", $search = "",$filter_order = "", $filter_order_Dir = "", $whe = "")
	{
		$db					=& JFactory::getDBO();
		
		$this->_query = 'SELECT * FROM #__iprice_discount';
		$this->_querycount = 'SELECT COUNT(*) FROM #__iprice_discount';
		$wh = NULL;
		if ( $search ) {
			$wh[] = 'name LIKE '.$db->Quote( '%'.$db->getEscaped( $search, true ).'%', false );
		}
		
		if ( $filter_state ) {
			if ( $filter_state == 'P' ) {
				$wh[] = 'published = 1';
			} else if ($filter_state == 'U' ) {
				$wh[] = 'published = 0';
			} else if ($filter_state == 'PP' ) {
				$wh[] = 'published = 1';
			}
		}
		if ( $whe ) {
		 	$wh[] = $whe;
		}
		
		$this->_where = ( count( $wh ) ? ' WHERE ' . implode( ' AND ', $wh ) : '' );
		
		if ($filter_order == ''){
			$this->_orderby 	= '';
		} else {
			$this->_orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir ;
		}
	}
	
	function GetList($limitstart = 0, $limit = 0)
	{
		$db	=& $this->getDBO();
		$db->setQuery( $this->_query . $this->_where . $this->_orderby, $limitstart, $limit);
		$rows = $db->loadObjectList();
		return $rows;
	}
	
	function GetCount()
	{
		$db	=& $this->getDBO();
		$db->setQuery( $this->_querycount . $this->_where );
		$total = $db->loadResult();
		return $total;
	}
	
	function loadTable()
	{
		$this->SetQuery("P");
		$data = $this->GetList();
		$this->_disc_data = null;
		foreach ($data as $disc) {
			$this->_disc_data[$disc->id] = $disc;
		}
		return $this->_disc_data;
	}
	
	function getDiscCost($disc_id, $item_count, $item_cost, & $disc, & $discname)
	{
		if (!isset($this->_disc_data[$disc_id])) return $item_cost;
		$ditem = $this->_disc_data[$disc_id];
		$discname = $ditem->name;
		$item_count = (int)$item_count;
		if ($item_count == 0 and $ditem->kind == 1)
			$item_count = 1;
		if ($ditem->type == 0)
			$orig_value = $item_count ;
		else
			$orig_value = $item_count*$item_cost;
		if ($ditem->kind == 0)			
			$dn = '%';
		else $dn = '';
			
		if (($ditem->value1 !== null) && $ditem->disc1 && ($orig_value >=$ditem->value1)) {
			if ($ditem->kind == 0)
				$disc_cost = $item_cost - $item_cost / 100 * $ditem->disc1;
			else
				$disc_cost = $item_cost - round($ditem->disc1/$item_count*100)/100;
			$disc = round($ditem->disc1) . $dn;
		}
		elseif (($ditem->value2 !== null) && $ditem->disc2 && ($orig_value >=$ditem->value2)) {
			if ($ditem->kind == 0)
				$disc_cost = $item_cost - $item_cost / 100 * $ditem->disc2;
			else
				$disc_cost = $item_cost - round($ditem->disc2/$item_count*100)/100;
			$disc = round($ditem->disc2) . $dn;				
		}
		elseif (($ditem->value3 !== null) && $ditem->disc3 && ($orig_value >=$ditem->value3)) {
			if ($ditem->kind == 0)
				$disc_cost = $item_cost - $item_cost / 100 * $ditem->disc3;
			else
				$disc_cost = $item_cost - round($ditem->disc3/$item_count*100)/100;
			$disc = round($ditem->disc3) . $dn;				
		}
		elseif (($ditem->value4 !== null) && $ditem->disc4 && ($orig_value >=$ditem->value4)) {
			if ($ditem->kind == 0)
				$disc_cost = $item_cost - $item_cost / 100 * $ditem->disc4;
			else
				$disc_cost = $item_cost - round($ditem->disc4/$item_count*100)/100;
			$disc = round($ditem->disc4) . $dn;				
		}
		elseif (($ditem->value5 !== null) && $ditem->disc5 && ($orig_value >=$ditem->value5)) {
			if ($ditem->kind == 0)
				$disc_cost = $item_cost - $item_cost / 100 * $ditem->disc5;
			else
				$disc_cost = $item_cost - round($ditem->disc5/$item_count*100)/100;
			$disc = round($ditem->disc5) . $dn;				
		}
		else {
			$disc_cost = $item_cost;
			$disc = '';
		}
		return $disc_cost;
	}
	
}

