<?php
/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

include_once("xmlToArray.class.php");
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables'.DS.'ipricecalc.php');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables'.DS.'category.php');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables'.DS.'section.php');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables'.DS.'importfield.php');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables'.DS.'discount.php');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'helpers'.DS.'csvi_class_file.php');


	function ImportLine ($dataline, $i)
	{
	
		$numf = sizeof($dataline);
		if ($numf<4) {
			echo 'Line '.$i.': '.'Error! Number of fields less than minimal (4: Section name, Category Name, Item name, Cost)<br />';
			return;
		}

		$row =& JTable::getInstance('Iprice_item', 'JTable');
		$ifi =& JTable::getInstance('Iprice_importfield', 'JTable');
		$sec =& JTable::getInstance('Iprice_section', 'JTable');
		$cat =& JTable::getInstance('Iprice_category', 'JTable');

// Sec id
		$secname = trim($dataline[0]);
		if (!$secname) {
			echo 'Line '.($i).': '.'Error! Section name is empty!<br />';
			return;
		}
		$ids = $sec->GetSectionID("name='".$secname."'");
		if (sizeof($ids)>1) {
			echo 'Line '.($i).': '.'Error! More than 1 section by name "'.$secname.'" <br />';
			return;
		} else if (!$ids) {
			echo 'Line '.($i).': '.'Error! Section name "'.$secname.'" not found!<br />';
			return;
		}
		$secid = (int) $ids[0];

	  
// Cat id

		$catname = trim($dataline[1]);
		if (!$catname) {
			echo 'Line '.($i).': '.'Error! Category name is empty!<br />';
			return;
		}
		$ids = $row->GetCategoryID("name='".$catname."' and secid = " . $secid);
		if (sizeof($ids)>1) {
			echo 'Line '.($i).': '.'Error! More than 1 category by name "'.$catname.'" in section "'.$secname.'" <br />';
			return;
		} else if (!$ids) {
			$ids = $row->GetCategoryID("name='".$catname."'");
			if (sizeof($ids)>1) {
				echo 'Line '.($i).': '.'Error! More than 1 category by name "'.$catname.'" <br />';
				return;
			}
			if (!$ids) {
				echo 'Line '.($i).': '.'Error! Category name "'.$catname.'" not found !<br />';
				return;
			}

// change Section of category

			$cat->load($ids[0]);
			if ($cat->secid != $secid) {
				$cat->secid = $secid;
				$cat->ordering = $cat->getNextOrder( "secid = " . (int) $secid );
				if (!$cat->check()) {
					echo 'Line '.($i).': Check Error! '.$cat->getError().'<br />';
					return;
				}
	
				// save the changes
				if (!$cat->store()) {
					echo 'Line '.($i).': Error! '.$cat->getError().'<br />';
					return;
				}

			}

		}
		$catid = (int) $ids[0];

// Item Name
		$iname = trim($dataline[2]);
		if (!$iname) {
			echo 'Line '.($i).': '.'Error! Item name is empty!<br />';
			return;
		}
		  
		$row->SetQuery(NULL,NULL,NULL,NULL,NULL,NULL,' ipi.name=\''.$iname.'\'');
		$tmp = $row->GetList();

		$row->name = $iname;
			
		if ($tmp)
			$row->load( $tmp[0]->id );
  
 // cost
		$val = trim($dataline[3]);
  		if ($val!=="") 
			$row->cost = 0.00 + str_replace(',','.',$val);
		  
// shortdesc
		if ($numf>4) {
			$val = trim($dataline[4]);
			if ($val==='-')
				$row->shortdesc = '';
			else if ($val)
			  	$row->shortdesc = $val;
		}
		
// item_type
		if ($numf>5) {
  			$val = trim($dataline[5]);
			if ($val == 1)
			  	$row->item_type = 1;
		}

// description 
		if ($numf>6) {
  			$val = trim($dataline[6]);
			if ($val==='-')		  
				$row->description = '';
			else if ($val)
			  	$row->description = $val;
		}

// showcount 
		if ($numf>7){
		  	$val = trim($dataline[7]);
			if ($val!=="")
		  		$row->showcount = (int) $val;
		}

// radiogroup 
  		if ($numf>8) {
		  	$val = trim($dataline[8]);
			if ($val!=="")			
			  	$row->radiogroup = (int) $val;
		}

// Discount
  		if ($numf>9) {
		  	$val = trim($dataline[9]);
			if ($val == "-")
				$row->discid = NULL;
			elseif ($val!=="") {
				$dis =& JTable::getInstance('Iprice_discount', 'JTable');
				$db =& JFactory::getDBO();
				$dis->SetQuery("","","","","name = ".$db->Quote( $val , false ));
				echo "Discount ";
				echo $dis->_query . $dis->_where . $dis->_orderby;
				$disitem = $dis->GetList();
				if (count($disitem))
				  	$row->discid = $disitem[0]->id;
				else
					echo 'Line '.($i).': '.'Error! Discount with name "'.$val.'" not found <br />';
			}
		}

// Allow file attachment
  		if ($numf>10) {
		  	$val = trim($dataline[10]);
			if ($val) {
				$val = (int) $val;
				if ($val) 
					$row->enable_file = 1;
				else
					$row->enable_file = 0;
			}
		}
		
// Units
  		if ($numf>11) {
			$val = trim($dataline[11]);
			if ($val==='-')
				$row->unit = '';
			else if ($val)
			  	$row->unit = $val;
		}

		if (!$row->id || $row->catid != $catid)
			$row->ordering = $row->getNextOrder( "catid = " . (int) $catid );
			
		$row->catid = $catid;
		
		if ($numf>12) {
			$ifi->SetQuery('P');
			$ifilist = $ifi->GetList();
			$i=0;
			foreach ($ifilist as $ifiitem) {
				if ($numf>12+$i) {
				  	$val = trim($dataline[12+$i]);
					if ($val!=="") {		
					  	$fi = sprintf($ifiitem->instext,$val);
						if ($ifiitem->position == 0)
							$row->description = $fi.$row->description;
						else
						if ($ifiitem->position == 1)
							$row->description = $row->description.$fi;
						else
							$row->description = str_replace('_'.$ifiitem->varname.'_',$fi,$row->description);
					}
				} else break;
				$i++;
			}
		}

		// pre-save checks
		if (!$row->check()) {
			echo 'Line '.($i+1).': Check Error! '.$row->getError().'<br />';
			return;
		}
	
		// save the changes
		if (!$row->store()) {
			echo 'Line '.($i+1).': Error! '.$row->getError().'<br />';
			return;
		}

		$row->checkin();
	}


	function ImportData(&$data)
	{
		echo '<br /><br />'	;
		for($i=0;$i<sizeof($data);$i++) {
			if($i==0&&$_POST['entete']=="o")
				continue;
			ImportLine ($data[i],$i);
		}
		echo '<br /><br />'.JText::_('Import complete');
	}

function do_offset($level){
    $offset = "";             // offset for subarry 
    for ($i=1; $i<$level;$i++){
    $offset = $offset . "<td></td>";
    }
    return $offset;
}
function autoMakeLink($text){
  $text = preg_replace("/((www.)([a-zA-Z0-9@:%_.~#-\?&]+[a-zA-Z0-9@:%_~#\?&/]))/","http://\\1", $text);
  $text = preg_replace("/((ftp://|http://|https://){2})([a-zA-Z0-9@:%_.~#-\?&]+[a-zA-Z0-9@:%_~#\?&/])/", "http://\\3", $text);
  $text = preg_replace("/(((ftp://|http://|https://){1})[a-zA-Z0-9@:%_.~#-\?&]+[a-zA-Z0-9@:%_~#\?&/])/", "<A HREF=\"\\1\" TARGET=\"_blank\">\\1</A>", $text);
  $text = preg_replace("/([_\.0-9a-zA-Z-]+@([0-9a-zA-Z][0-9a-zA-Z-]+\.)+[a-zA-Z]{2,3})/","<A HREF=\"mailto:\\1\">\\1</A>", $text);
  return $text;
}

function show_array($array, $level, $sub,$code){
    if (is_array($array) == 1){          // check if input is an array
       foreach($array as $key_val => $value) {
           $offset = "";
           if (is_array($value) == 1){   // array is multidimensional
           $code.="<tr>";
           $offset = do_offset($level);
           $code.=$offset;
           $code=show_array($value, $level+1, 1,$code);
           }
           else{                        // (sub)array is not multidim
           if ($sub != 1){          // first entry for subarray
               $code.="<tr nosub>\n";
               $offset = do_offset($level);
           }
           $sub = 0;
           $code.=$offset . "<td main ".$sub." width=\"120\">" . $key_val . 
               "</td><td width=\"120\">" . $value . "</td>\n"; 
           $code.="</tr>\n";
           }
       } //foreach $array
    }  
    return $code;
}

function html_show_array($array){
	if(!empty($_POST['taille']))
				$code="<table width=\"".$_POST['taille']."\" border='0'>";
			else
				$code="<table border='0'>";  
	$code.=show_array($array, 1, 0,"");
    $code.="</table>\n";
	return $code;
}
function affCSVXML($contenu,$type,$params)
{
    $tab=array();
    $allowedExt = array("csv","xml");

    if(in_array($type,array("csv")))
    {
		if($params['EOL_DELIMITER']=='\n')
            $res=explode("\n",$contenu);
        else
            $res=explode($params['EOL_DELIMITER'],$contenu);
		for($i=0;$i<sizeof($res);$i++)
		{
			$res[$i]=explode($params['CELL_DELIMITER'],$res[$i]);
		}
		ImportData($res);
	}
	else
	{
		$xml2a = new XMLToArray();
		$contenuXML=$xml2a->parse($contenu); 
		ImportData($contenuXML);
	}
}

function DoImport($filename, $params)
{
	echo '<br /><br />'	;
	$file = new CsviFile();
	$file->ProcessFile($filename);
	$enc = (int) $_POST['encoding'];
	$i = 0;
	while ($line = $file->ReadNextLine($params['CELL_DELIMITER'],$params['TEXT_DELIMITER'], $enc)) {
		$i++;
		if($i==1&&$_POST['entete']=="o")
			continue;
		ImportLine ($line,$i);
		
	} 
}


function findExt($filename)
{
	return end(explode('.',$filename));
}


if( isset($_POST['submit']) ) // si formulaire soumis
{
        if ( $mainframe->isAdmin() ) 
        {
         	$baseSite=$mainframe->getSiteURL();
        }
        else
        {
          	$baseSite=JURI::Base();
      	}
    $params=array('EOL_DELIMITER'=>stripslashes($_POST['EOL_DELIMITER']),'CELL_DELIMITER'=>stripslashes($_POST['CELL_DELIMITER']),'TEXT_DELIMITER'=>stripslashes($_POST['TEXT_DELIMITER']));
    if($_POST['type']=="file")
	{
		$content_dir=str_replace(array('administrator/components/com_ipricecalc/views/import/tmpl/','administrator\\components\\com_ipricecalc\\views\\import\\tmpl\\'),'',dirname(__FILE__).DS."tmp".DS);
	    $tmp_file = $_FILES['fichier']['tmp_name'];

	    if( !is_uploaded_file($tmp_file) )
	        exit(JText::_('ERROR_FILE1'));

	    // on vérifie maintenant l'extension
	    $type_file = $_FILES['fichier']['type'];
	    $name_file = $_FILES['fichier']['name'];
	    $allowedExt = array("csv");

	    if(!in_array(end(explode(".", $name_file)),$allowedExt))
		        exit(JText::_('ERROR_FILE2')." <a href=\"".JRoute::_('index.php?option=com_importcsv&view=process&tmpl=component')."\">".JText::_('Back')."</a>");

	    // on copie le fichier dans le dossier de destination
	    $name_file = $_FILES['fichier']['name'];

	    if( !move_uploaded_file($tmp_file,$content_dir . $name_file) )
	        exit(JText::_('ERROR_FILE3')." $content_dir <a href=\"".JRoute::_('index.php?option=com_ipricecalc&c=import')."\">".JText::_('Back')."</a>");

		echo "<br><br><br>".JText::_('FILE_SUCCESS');
		$filename=$content_dir.$name_file;
		DoImport($filename,$params);
	}
	
	elseif($_POST['type']=="url")
		affCSVXML(str_replace('"','',file_get_contents($_POST['fichier'])),findExt($_POST['fichier']),$_POST['autodetect'],$params);
	else
		affCSVXML($_POST['fichier'],$_POST['typeFile'],$_POST['autodetect'],$params);

}
else
{
	 if ( $mainframe->isAdmin() ) 
        {
         	$baseSite=$mainframe->getSiteURL();
        }
        else
        {
          	$baseSite=JURI::Base();
      	}
	?>
<script language="javascript" type="application/javascript">
function view(ID)
{
	document.getElementById('tab1').style.display='none';
	document.getElementById('tab2').style.display='none';
	document.getElementById(ID).style.display='block';
}
</script>
<style>
.buttonCSV
{
	margin-left:5px;
	margin-right:5px;
	border:1px solid blue;
	padding:5px;
	text-decoration:none;
}
</style>
<table width="100%">
<tr><td>
<div id="tab1">
<h1><?php echo JText::_('UPLOAD_CSV')?></h1>
<form action="<?php echo JRoute::_('index.php?option=com_ipricecalc&c=import')?>" method="POST" enctype="multipart/form-data">
<input type="hidden" name="type" value="file" />
  <table>
    <tr>
      <td><?php echo JText::_('CSV_FILE')?> :</td>
      <td><input type="file" name="fichier" size="40" /></td>
    </tr>
    <tr>
      <td><?php echo JText::_('DISPLAY_COLS')?> :</td>
      <td><label for="enteteOui"><?php echo JText::_('YES')?></label>
        <input type="radio" value="o" name="entete" id="enteteOui" checked="checked" />
        <label for="enteteNon"><?php echo JText::_('NO')?></label>
        <input type="radio" value="n" name="entete" id="enteteNon" /></td>
    </tr>
    <tr>
        <td>
        <h3><?php echo JText::_('CONVCHARSET')?></h3>
            <table width="100%">
                <tr>
                    <td>
					  <SELECT size="1" name="encoding">
					      <OPTION value="0" SELECTED title="<?php echo JText::_('No convert title');?>" ><?php echo JText::_('No convert');?></OPTION>
					      <OPTION value="1" title="<?php echo JText::_('CP1251->UTF-8 TITLE');?>"><?php echo JText::_('CP1251 -> UTF-8');?></OPTION>
					      <OPTION value="2" title="<?php echo JText::_('UTF-8->CP1251 TITLE');?>"><?php echo JText::_('UTF-8 -> CP1251');?></OPTION>
					   </SELECT>
					</td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
        <h3><?php echo JText::_('DELIMITERS')?></h3>
            <table width="100%">
                <tr>
                    <td><?php echo JText::_('CELL_DELIMITER')?></td><td><input type="text" name="CELL_DELIMITER" value=";" style="width:15px;" /></td>
                </tr>
                <tr>
					<td><?php echo JText::_('TEXT_DELIMITER')?></td><td><input type="text" name="TEXT_DELIMITER" value='"' style="width:15px;" /></td>
                </tr>
				<tr>
					<td><?php echo JText::_('EOL_DELIMITER')?></td><td><input type="text" name="EOL_DELIMITER" value="\n" style="width:15px;" /></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
      <td colspan="2" align="center">
	    <br /><br />
	  	<input style="font-size:larger; font-weight:bold" type="submit" name="submit" value="<?php echo JText::_('DO IMPORT'); ?>" />
	  </td>
    </tr>
  </table>
  <input type="hidden" name="baseSite" value="<?php echo "/".str_replace('//','/',$baseSite)?>" />
</form>
</div>

</td>
<td style="padding-left:20px"><?php echo JText::_('IMPORT_REMARK') ?>
</td>
</tr>
</table>
<?php	
}
?>
