<?php
/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );
 
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables'.DS.'ipricecalc.php');
 
class IPricecalcViewImport extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option;

		$user	  = &JFactory::getUser();
		$uri 	  =& JFactory::getURI();
		$document =& JFactory::getDocument();

		$this->assign('action',		$uri->toString());
		$this->assignRef('view', $this);
		//echo $this->getOrderHTML(2);
		parent::display($tpl);
	}
	
	function ImportData(&$data)
	{
		
		for($i=0;$i<sizeof($data);$i++) {
			$numf = sizeof($data[i]);
			$row =& JTable::getInstance('Iprice_item', 'JTable');
			if ($numf<3) {
			      echo 'Line '.($i+1).': '.'Error! Number of fields less than minimal (4: Category Name, Item name, Cost)';
				  continue;
			}
	  
			// Cat id
		   $ids = $row->GetCategoryID($data[i][0]);
		   if (sizeof($ids)>1) {
		      echo 'Line '.($i+1).': '.'Error! More than 1 category by name'.$data[i][0];
			  continue;
		   } else if (!$ids) {
		      echo 'Line '.($i+1).': '.'Error! Category name'.$data[i][0].' not found!';
			  continue;
		   }
		   $catid = (int) $ids[0];

		// Item Name
		  $iname = $data[i][1];
		  if (!$iname) {
		      echo 'Line '.($i+1).': '.'Error! Item name'.$data[i][0].' is empty!';
			  continue;
		  }
		  
			$row->SetQuery('','','','','','',' ipi.name='.$iname);
			$tmp = $row->GetList();

			if ($tmp)
			  $row->load( $tmp[0]->id );
			  
			$row->catid = $catid;
			$row->name = $iname;
		  
		  // cost
		  $row->cost = $data[i][2];
		  
		  // shortdesc
		  if ($numf>3 && $data[i][3] !== null) {
		  	$row->shortdesc = $data[i][3];
		  }
		  // description 
		  if ($numf>4  && $data[i][4] !== null) {
		  	$row->description = $data[i][4];
		  }
		  // showcount 
		  if ($numf>5 && $data[i][5] !== null){
		  	$row->showcount = (int) $data[i][5];
		  }
		  // radiogroup 
		  if ($numf>6 && $data[i][6] !== null) {
		  	$row->radiogroup = (int) $data[i][6];
		  }
		  if (!$isexists)
			$row->ordering = $row->getNextOrder( "catid = " . (int) $row->catid );

			// pre-save checks
			if (!$row->check()) {
			      echo 'Line '.($i+1).': Check Error!'.$row->getError();
				  continue;
			}
	
			// save the changes
			if (!$row->store()) {
			      echo 'Line '.($i+1).': Error!'.$row->getError();
				  continue;
			}
			$row->checkin();
		}
	}


}