<?php
/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class IPricecalcViewItem
{
	function setItemsToolbar()
	{
		JToolBarHelper::title( JText::_( 'IPrice items Manager' ), 'generic.png' );
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::customX( 'copysave', 'copy.png', 'copy_f2.png', 'Copy' );
		JToolBarHelper::addNewX();		
		JToolBarHelper::editListX();		
		JToolBarHelper::deleteList();
		JToolBarHelper::preferences('com_ipricecalc', '500');
		JToolBarHelper::help( 'screen.ipricecalc' );
	}

	function items( &$rows, &$pageNav, &$lists )
	{
		IPricecalcViewItem::setItemsToolbar();
		
		$user =& JFactory::getUser();

		//Ordering allowed ?
		$ordering = ($lists['order'] == 'ipi.ordering');

		JHTML::_('behavior.tooltip');
		?>
<script language="javascript" type="text/javascript">
<!--
		
function saveprice( n, task ) {

    if (!task ) {
		task = 'saveprice';
	}

	for ( var j = 0; j <= n; j++ ) {
		box = eval( "document.adminForm.cb" + j );
		if ( box ) {
			if ( box.checked == false ) {
				box.checked = true;
			}
		} else {
			alert("You cannot change the price of items, as an item in the list is `Checked Out`");
			return;
		}
	}
	submitform(task);
}
//-->
</script>
		
		<form action="index.php?option=com_ipricecalc" method="post" name="adminForm">

		<table>
		<tr>
			<td align="left" width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo $lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_catid').value='0';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
			<td nowrap="nowrap">
				<?php
				echo $lists['secid'];
				echo $lists['catid'];
				echo $lists['state'];
				?>
			</td>
		</tr>
		</table>

			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'Num' ); ?>
					</th>
					<th width="10" class="title">
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="5%" class="title">
						<?php echo JText::_('Item type'); ?>
					</th>					
					<th class="title">
						<?php echo JHTML::_('grid.sort',  'Name', 'ipi.name', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th nowrap="nowrap" class="title" width="10%">
						<?php echo JHTML::_('grid.sort',  'Cost', 'ipi.cost', @$lists['order_Dir'], @$lists['order'] ); 
						$image = JHTML::_('image.administrator',  'filesave.png', '/images/', NULL, NULL, JText::_( 'Save Prices' ) );
						$href = '<a href="javascript:saveprice('.(count( $rows )-1).', \'saveprice\')" title="'.JText::_( 'Save Prices' ).'">'.$image.'</a>';
						echo $href ?>
					</th>
					<th width="5%" class="title" nowrap="nowrap">
						<?php echo JHTML::_('grid.sort',   'Published', 'ipi.published', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th nowrap="nowrap" width="8%">
						<?php echo JHTML::_('grid.sort',   'Order by', 'ipi.ordering', @$lists['order_Dir'], @$lists['order'] ); ?>
						<?php echo JHTML::_('grid.order',  $rows ); ?>
					</th>
					<th width="10%" class="title">
						<?php echo JHTML::_('grid.sort',   'Section', 'section', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th width="10%" class="title">
						<?php echo JHTML::_('grid.sort',   'Category', 'category', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th width="5%" class="title">
						<?php echo JText::_('RADIO GROUP TITLE'); ?>
					</th>
					<th width="1%" nowrap="nowrap">
						<?php echo JHTML::_('grid.sort',   'ID', 'ipi.id', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="11">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link 		= JRoute::_( 'index.php?option=com_ipricecalc&task=edit&cid[]='. $row->id );

				$checked 	= JHTML::_('grid.checkedout',   $row, $i );
				$published 	= JHTML::_('grid.published', $row, $i );

				$row->cat_link 	= JRoute::_( 'index.php?option=com_categories&section=com_ipricecalc&task=edit&type=other&cid[]='. $row->catid );
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td align="center">
						<?php if ($row->item_type == 1 ) echo JText::_( 'Divider'); else echo  JText::_( 'Item');?>
					</td>
					<td>
					<?php
					if (JTable::isCheckedOut($user->get ('id'), $row->checked_out )) :
						echo $row->name;
					else :
						?>
						<span class="editlinktip hasTip" title="<?php echo JText::_( 'Edit price item' );?>::<?php echo $row->name; ?>">
						<a href="<?php echo $link; ?>">
							<?php echo $row->name; ?></a> </span>
						<?php
					endif;
					?>
					</td>
					<td class="order">
						<input type="text" name="cost[]" size="15" value="<?php echo $row->cost;?>" class="text_area" style="text-align: right" <?php if ($row->item_type == 1 ) echo ' disabled="disabled" ' ?> />
					</td>
					<td align="center">
						<?php echo $published;?>
					</td>
					<td class="order">
						<span><?php echo $pageNav->orderUpIcon( $i, ( $row->catid == @$rows[$i-1]->catid ), 'orderup', 'Move Up', $ordering ); ?></span>
						<span><?php echo $pageNav->orderDownIcon( $i, $n, ( $row->catid == @$rows[$i+1]->catid ), 'orderdown', 'Move Down', $ordering ); ?></span>
						<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
						<input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
					</td>
					<td>
						<a href="<?php echo $row->sec_link; ?>" title="<?php echo JText::_( 'Edit Section' ); ?>">
							<?php echo $row->section; ?></a>
					</td>

					<td>
						<a href="<?php echo $row->cat_link; ?>" title="<?php echo JText::_( 'Edit Category' ); ?>">
							<?php echo $row->category; ?></a>
					</td>
					<td align="center">
						<?php echo $row->radiogroup; ?>
					</td>
					<td align="center">
						<?php echo $row->id; ?>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>
		<input type="hidden" name="c" value="item" />
		<input type="hidden" name="option" value="com_ipricecalc" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
		<?php
		
	}

	function setItemToolbar()
	{
		$task = JRequest::getVar( 'task', '', 'method', 'string');

		JToolBarHelper::title( $task == 'add' ? JText::_( 'IPrice item' ) . ': <small><small>[ '. JText::_( 'New' ) .' ]</small></small>' : JText::_( 'IPrice item' ) . ': <small><small>[ '. JText::_( 'Edit' ) .' ]</small></small>', 'generic.png' );
		JToolBarHelper::save( 'save' );
		JToolBarHelper::apply('apply');
		JToolBarHelper::cancel( 'cancel' );
		JToolBarHelper::help( 'screen.items.edit' );
	}

	function item( &$row, &$lists, &$params, $contentSection, &$sectioncategories)
	{
		IPricecalcViewItem::setItemToolbar();
		JRequest::setVar( 'hidemainmenu', 1 );
		$editor =& JFactory::getEditor();		

		JHTML::_('behavior.tooltip');
		jimport('joomla.html.pane');
        // TODO: allowAllClose should default true in J!1.6, so remove the array when it does.
		$pane = &JPane::getInstance('sliders', array('allowAllClose' => true));
		
		JFilterOutput::objectHTMLSafe( $row, ENT_QUOTES, 'description' );
		$cparams = JComponentHelper::getParams ('com_media');
		
		?>
		
		<script language="javascript" type="text/javascript">
		<!--
		var sectioncategories = new Array;
		<?php
		$i = 0;
		foreach ($sectioncategories as $k=>$items) {
			foreach ($items as $v) {
				echo "sectioncategories[".$i++."] = new Array( '$k','".addslashes( $v->id )."','".addslashes( $v->name )."' );\n\t\t";
			}
		}
		?>

		function submitbutton(pressbutton)
		{
			var form = document.adminForm;

			if ( pressbutton == 'menulink' ) {
				if ( form.menuselect.value == "" ) {
					alert( "<?php echo JText::_( 'Please select a Menu', true ); ?>" );
					return;
				} else if ( form.link_name.value == "" ) {
					alert( "<?php echo JText::_( 'Please enter a Name for this menu item', true ); ?>" );
					return;
				}
			}

			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if (form.name.value == ""){
				alert( "<?php echo JText::_( 'Item must have a name', true ); ?>" );
			} else if (form.secid.value == "-1"){
				alert( "<?php echo JText::_( 'You must select a Section', true ); ?>" );
			} else if (form.catid.value == "-1"){
				alert( "<?php echo JText::_( 'You must select a Category', true ); ?>" );
 			} else if (form.catid.value == ""){
 				alert( "<?php echo JText::_( 'You must select a Category', true ); ?>" );
			} else {
				<?php
				echo $editor->save( 'description' );
				?>
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Name' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="name" id="name" size="60" maxlength="255" value="<?php echo $row->name; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<?php echo JText::_( 'Published' ); ?>:
					</td>
					<td>
						<?php echo $lists['published']; ?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="catid">
							<?php echo JText::_( 'Section' ); ?>:
						</label>
					</td>
					<td>
						<?php echo $lists['secid'];?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="catid">
							<?php echo JText::_( 'Category' ); ?>:
						</label>
					</td>
					<td>
						<?php echo $lists['catid'];?>
					</td>
				</tr>
				<tr>
					<td valign="top" class="key">
						<label for="ordering">
							<?php echo JText::_( 'Ordering' ); ?>:
						</label>
					</td>
					<td>
						<?php echo $lists['ordering']; ?>
					</td>
				</tr>
				<tr>
					<td valign="top" class="key">
						<label for="item_type">
							<?php echo JText::_( 'Item type' ); ?>:
						</label>
					</td>
					<td>
						<?php echo $lists['item_type']; ?>
					</td>
				</tr>
				<tr>
					<td valign="top" class="key">
						<label for="discid">
							<?php echo JText::_( 'Discount' ); ?>:
						</label>
					</td>
					<td>
						<?php echo $lists['discid']; ?>
					</td>
				</tr>
				<?php
				if ($row->id) {
					?>
					<tr>
						<td class="key">
							<label>
								<?php echo JText::_( 'ID' ); ?>:
							</label>
						</td>
						<td>
							<strong><?php echo $row->id;?></strong>
						</td>
					</tr>
					<?php
				}
				?>
				</table>
			</fieldset>

			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Information' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="shortdesc">
							<?php echo JText::_( 'Short description' ); ?>:
						</label>
					</td>
					<td>
						<textarea name="shortdesc" id="shortdesc" rows="3" cols="45" class="inputbox"><?php echo $row->shortdesc; ?></textarea>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="cost">
							<?php echo JText::_( 'Cost' ); ?>:
						</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="cost" id="cost" size="20" maxlength="20" value="<?php echo $row->cost; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="showcount">
							<?php echo JText::_( 'Type of item select' ); ?>:
						</label>
					</td>
					<td>
					  <SELECT size="1" name="showcount" id="showcount">
					      <OPTION value="0" <?php if ($row->showcount==0) echo ' SELECTED';?> ><?php echo JText::_('Checkbox');?></OPTION>
					      <OPTION value="1" <?php if ($row->showcount==1) echo ' SELECTED';?> ><?php echo JText::_('Use count');?></OPTION>
					      <OPTION value="2" <?php if ($row->showcount==2) echo ' SELECTED';?> ><?php echo JText::_('Radio group');?></OPTION>
					   </SELECT>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="unit">
							<?php echo JText::_( 'Unit' ); ?>:
						</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="unit" id="unit" size="20" maxlength="50" value="<?php echo $row->unit; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="radiogroup">
							<?php echo JText::_( 'Radio group ID' ); ?>:
						</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="radiogroup" id="radiogroup" size="10" maxlength="10" value="<?php echo $row->radiogroup; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<?php echo JText::_( 'Allow file attachment' ); ?>:
					</td>
					<td>
						<?php echo $lists['enable_file']; ?>
					</td>
				</tr>
				</table>
			</fieldset>
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Description' ); ?></legend>

				<table class="admintable">
					<tr>
						<td valign="top" colspan="3">
							<?php
							// parameters : areaname, content, width, height, cols, rows, show xtd buttons
							echo $editor->display( 'description',  htmlspecialchars($row->description, ENT_QUOTES), '550', '300', '60', '20', array('pagebreak', 'readmore') ) ;
							?>
						</td>
					</tr>
					</table>
			</fieldset>
			
		</div>

		<div class="col width-40">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Parameters' ); ?></legend>

				<?php
					echo $pane->startPane("menu-pane");
					echo $pane->startPanel(JText :: _('Iprice calculator Parameters'), "param-page");
					echo $params->render();
					echo $pane->endPanel();
					echo $pane->startPanel(JText :: _('Advanced Parameters'), "param-page");
					echo $params->render('params', 'advanced');
					echo $pane->endPanel();
					echo $pane->startPanel(JText :: _('Other Parameters'), "param-page");
					echo $params->render('params', 'email');
					echo $pane->endPanel();
					echo $pane->endPane();
				?></fieldset>
		</div>
		<div class="clr"></div>
		<input type="hidden" name="c" value="item" />
		<input type="hidden" name="option" value="com_ipricecalc" />
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="task" value="" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
		<?php
	}
}
?>